%define camlzip_inc +zip

Summary:	A tool to check consistency of urpm repositories
Name:		rpmcheck
Version:	0.0.2368
Release:	%mkrel 24
License:	GPLv2
Group:		System/Packaging
# The website has gone, but is archived by the Wayback Machine.
URL:		http://www.edos-project.org/xwiki/bin/Main/Wp2
# There is no released version yet. Sources are from the svn depot at
# https://protactinium.pps.jussieu.fr:12345/svn/edos/users/vouillon
# which has also gone.
Source:		%name-%version.tar.bz2
Patch1:		0001-Handle-suggests.patch
Patch2:		0002-No-doc-conflict.patch
Patch3:		0003-Allow-uncompressed-hdlists.patch
# Mageia patches
Patch4:		0004-Fix-build-with-ocaml-4.10.0-which-no-longer-supports.patch
Patch5:		0005-Handle-packages-that-ghost-files-from-another-packag.patch
Patch6:		0006-Handle-tilde-character-in-package-versions.patch
Patch7:		0007-Replace-calls-to-deprecated-function-Format.bprintf.patch
Patch8:		0008-Handle-packages-that-conflict-with-themselves.patch
BuildRequires:	ocaml
BuildRequires:	ocaml-camlzip-devel

%description
rpmcheck is a tool to check consistency of Mandriva/Mageia Linux rpm
repositories (that is, of hdlist files.)

%prep
%setup -q
%autopatch

%build
%__make rpmcheck \
    COMPFLAGS="-I %{camlzip_inc}" \
    OPTLINKFLAGS="unix.cmxa str.cmxa zip.cmxa -I %{camlzip_inc}" \
    OPTCOMPFLAGS="-g"

%install
%__install -d %{buildroot}%{_bindir}
%__install -m 0755 rpmcheck %{buildroot}%{_bindir}

%files
%doc COPYING README
%{_bindir}/%{name}


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.0.2368-24.mga10
+ Revision: 2215487
- Mageia 10 Mass Rebuild

* Sun Oct 02 2022 martinw <martinw> 0.0.2368-23.mga9
+ Revision: 1894054
- handle tilde character in package versions
- handle packages that conflict with themselves
- replace calls to deprecated function Format.bprintf

* Tue Mar 29 2022 umeabot <umeabot> 0.0.2368-22.mga9
+ Revision: 1833015
- Mageia 9 Mass Rebuild

* Sun Dec 13 2020 martinw <martinw> 0.0.2368-21.mga8
+ Revision: 1656444
- handle packages that ghost files from another package
  o e.g. packages generated by %%python_extras_subpkg

* Mon Apr 27 2020 martinw <martinw> 0.0.2368-20.mga8
+ Revision: 1572371
- fix build with ocaml 4.10.0 (no longer supports -unsafe-string) (mga#26545)
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.0.2368-18.mga7
+ Revision: 1300850
- Mageia 7 Mass Rebuild

* Tue Feb 13 2018 daviddavid <daviddavid> 0.0.2368-17.mga7
+ Revision: 1200770
- option '-unsafe-string' is required with ocaml 4.06.0

* Mon Oct 02 2017 daviddavid <daviddavid> 0.0.2368-16.mga7
+ Revision: 1162585
- enable debugging information thus fixing empty debugsourcefiles.list

* Mon Sep 26 2016 pterjan <pterjan> 0.0.2368-15.mga6
+ Revision: 1056476
- Rebuild for fix in ocaml

* Mon Feb 08 2016 umeabot <umeabot> 0.0.2368-14.mga6
+ Revision: 944971
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.0.2368-13.mga5
+ Revision: 745348
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.2368-12.mga5
+ Revision: 688706
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.0.2368-11.mga4
+ Revision: 521426
- Mageia 4 Mass Rebuild

* Tue Jan 22 2013 fwang <fwang> 0.0.2368-10.mga3
+ Revision: 390810
- update rpm group

* Mon Jan 14 2013 umeabot <umeabot> 0.0.2368-9.mga3
+ Revision: 380458
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 22 2012 ennael <ennael> 0.0.2368-8.mga2
+ Revision: 199918
- fix camlzip_inc
- initial import
- imported package rpmcheck


* Wed Feb 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.0.2368-8mdv2009.1
+ Revision: 337595
- keep bash completion in its own package

* Fri Jan 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.0.2368-7mdv2009.1
+ Revision: 327422
- add support for compressed hdlists (thanks pixel)
- adapt to new ocaml policy, while retaining backportability

* Sat Sep 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.0.2368-6mdv2009.0
+ Revision: 286180
- bash completion

* Thu Sep 04 2008 Pixel <pixel@mandriva.com> 0.0.2368-5mdv2009.0
+ Revision: 280802
- allow conflicts on doc files (#42896)

* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.0.2368-4mdv2009.0
+ Revision: 260320
- rebuild

* Mon Jul 28 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.0.2368-3mdv2009.0
+ Revision: 251476
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.0.2368-1mdv2008.1
+ Revision: 140747
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 22 2007 Pixel <pixel@mandriva.com> 0.0.2368-1mdv2008.0
+ Revision: 69051
- new svn snapshot
- add a patch to handle (discard) suggests


* Sat Oct 21 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.0.2253-1mdv2007.0
+ Revision: 71577
+ Status: not released
- New version of rpmcheck
- Import rpmcheck

* Wed Feb 15 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.0.751-1mdk
- 0.0.751

* Thu Dec 08 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.0.441-1mdk
- 0.0.441

* Wed Dec 07 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.0.439-1mdk
- Initial Mandriva package

